Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.pdu
Class DiscoveryPdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.GetPdu
                        |
                        +--uk.co.westhawk.snmp.pdu.DiscoveryPdu

public class DiscoveryPdu
extends GetPdu

This class is used to perform the SNMPv3 USM discovery. This PDU cannot have any OIDs.

See SNMP-USER-BASED-SM-MIB.

Version:
  $Revision: 3.14 $ $Date: 2006/03/23 14:54:09 $
Author:
  Birgit Arkesteijn

Field Summary

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`DiscoveryPdu(SnmpContextv3Face cntxt)` Constructor.

Method Summary
`void` | `addOid(AsnObjectId oid)` Cannot add any OID.
`void` | `addOid(AsnObjectId oid, AsnObject val)` Cannot add any OID.
`void` | `addOid(java.lang.String oid)` Cannot add any OID.
`void` | `addOid(java.lang.String oid, AsnObject val)` Cannot add any OID.
`void` | `addOid(varbind var)` Cannot add any OID.
`boolean` | `send()` Sends the PDU.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isExpectingResponse, isTimedOut, new_value, notifyObservers, printVars, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, tell_them, toString, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscoveryPdu

    public DiscoveryPdu(SnmpContextv3Face cntxt)

  Constructor.

Method Detail

### addOid

    public void addOid(java.lang.String oid)
                throws java.lang.IllegalArgumentException

  Cannot add any OID. This method is overwritten to prevent users from adding any OID.

  Overrides:
    `addOid` in class `Pdu`
  Parameters:
    `oid` - The oid
  Throws:
    `java.lang.IllegalArgumentException` - A discovery PDU cannot have any OID.
  See Also:
    `Pdu.addOid(varbind)`, `varbind`

### addOid

    public void addOid(java.lang.String oid,
                       AsnObject val)

  Cannot add any OID. This method is overwritten to prevent users from adding any OID.

  Overrides:
    `addOid` in class `Pdu`
  Parameters:
    `oid` - The oid
    `val` - The value
  Throws:
    `java.lang.IllegalArgumentException` - A discovery PDU cannot have any OID.
  Since:
    4_12
  See Also:
    `Pdu.addOid(java.lang.String)`, `varbind`

### addOid

    public void addOid(AsnObjectId oid,
                       AsnObject val)

  Cannot add any OID. This method is overwritten to prevent users from adding any OID.

  Overrides:
    `addOid` in class `Pdu`
  Parameters:
    `oid` - The oid
    `val` - The value
  Throws:
    `java.lang.IllegalArgumentException` - A discovery PDU cannot have any OID.
  Since:
    4_12
  See Also:
    `Pdu.addOid(java.lang.String)`, `varbind`

### addOid

    public void addOid(varbind var)
                throws java.lang.IllegalArgumentException

  Cannot add any OID. This method is overwritten to prevent users from adding any OID.

  Overrides:
    `addOid` in class `Pdu`
  Parameters:
    `var` - The varbind
  Throws:
    `java.lang.IllegalArgumentException` - A discovery PDU cannot have any OID.
  See Also:
    `Pdu.addOid(String)`

### addOid

    public void addOid(AsnObjectId oid)

  Cannot add any OID. This method is overwritten to prevent users from adding any OID.

  Overrides:
    `addOid` in class `Pdu`
  Parameters:
    `oid` - The oid
  Throws:
    `java.lang.IllegalArgumentException` - A discovery PDU cannot have any OID.
  Since:
    4_12
  See Also:
    `Pdu.addOid(varbind)`, `varbind`

### send

    public boolean send()
                 throws java.io.IOException,
                        PduException

  Sends the PDU. Note that all properties of the context have to be set before this point.

  Overrides:
    `send` in class `Pdu`
    `java.io.IOException`
    `PduException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD